#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{prakatalog.PenawaranCtr.index()}">&{'daftar_penawaran.label'}</a></li>
				<li class="active">&{'verifikasi.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>

	#{form @prakatalog.PenawaranCtr.verificationSikapSubmit(), method:'POST', id:'verification-form'}
	<input type="hidden" name="penawaran_id" value="${penawaran.id}"/>
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton action:@prakatalog.PenawaranCtr.index() /}
				#{alert /}
				#{if canDoVerification && isAfterPokjaForRevision}
                    <a href="#" class="btn btn-md btn-success" data-toggle="modal" data-target="#acceptModal">
                        <span class="fa fa-file"></span> &{'terima_penawaran.label'}
                    </a>
                    &nbsp;
                    <a href="#" class="btn btn-md btn-danger reject">
                        <span class="fa fa-ban"></span> &{'tolak_penawaran.label'}
                    </a>
                    <button type="submit" class="btn btn-md btn-warning">
                        <span class="fa fa-check"></span> &{'simpan.label'} &{'verifikasi.label'} SIKaP
                    </button>
					#{if isAfterRevision}
                        <a href="#" class="btn btn-md btn-info correction">
                            <span class="fa fa-refresh"></span> &{'revisi_penawaran.label'}
                        </a>
					#{/if}
				#{/if}

				*{<a href="@{prakatalog.PenawaranCtr.cetakBaheForm(penawaran.id)}" class="btn btn-md btn-info">}*
					*{<span class="fa fa-file"></span> &{'cetak.label'} BA &{'hasil_evaluasi.label'}}*
				*{</a>}*
				*{}*
				*{<a href="#" class="btn btn-md btn-info">}*
					*{<span class="fa fa-file"></span> &{'cetak.label'} &{'sk_penetapan_produk.label '}}*
				*{</a>}*

			</div>
			<!-- End Toolbar -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-heading"><h5>&{'data_kualifikasi.label'}</h5></div>
				<ul class="nav nav-tabs" role="tablist">
					<li role="presentation" class="active"><a href="#identitas"
						aria-controls="group-role" role="tab" data-toggle="tab">&{'identitas.label'}</a>
					</li>
					#{list kualifikasiUsulanList, as:'kualifikasi'}
						<li role="presentation">
							<a href="#${kualifikasi.jenis_kualifikasi}"
							   aria-controls="group-role" role="tab" data-toggle="tab">
							${kualifikasi.jenis_kualifikasi_alias}
							</a>
						</li>
					#{/list}
				</ul>

				<div class="tab-content">
				#{include 'prakatalog/PenawaranCtr/wizard/tab-sikap/tab-identitas.html'/}

				#{list kualifikasiUsulanList, as:'kualifikasi'}
					#{include 'prakatalog/PenawaranCtr/wizard/tab-sikap/tab-'+kualifikasi.jenis_kualifikasi+'.html'/}
				#{/list}

				</div>
			</div>
		</div>
	</div>

	#{/form}

	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-heading"><h5>&{'dokumen_penawaran.label'}</h5></div>
				<table class="table table-condensed">
					<thead>
						<tr>
							<th>&{'nama_dokumen.label'}</th>
							<th>&{'jenis_dokumen_evaluasi.label'}</th>
							<th>&{'file.label'}</th>
						</tr>
					</thead>
					<tbody>
						#{list dokumenPenawaranList, as:'dok'}
						<tr>
							<td>${dok.name}</td>
							<td>${dok.jenis_evaluasi}</td>
							<td><a href="${dok.download_url}">${dok.file_label}</a></td>
						</tr>
						#{/list}
					</tbody>
				</table>
			</div>
		</div>
	</div>

    <!-- Modal -->
    <div class="modal fade" id="rejectModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
		#{form @prakatalog.PenawaranCtr.verificationReject(), method:'POST'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'tolak_penawaran.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label">&{'alasan_tolak.label'}</label>
						<input name="alasan_tolak" class="form-control" />
                    </div>
                    <input name="penawaran_id" value="${penawaran.id}" type="hidden" />
                </div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
            </div>
		#{/form}
        </div>
	</div>
	
	<!-- Modal -->
    <div class="modal fade" id="acceptModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
		#{form @prakatalog.PenawaranCtr.verificationAgree(penawaran.id), method:'POST'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'terima_penawaran.label'}?</h4>
				</div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'tidak.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'ya.label'}</button>
                </div>
            </div>
		#{/form}
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="correctionModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
		#{form @prakatalog.PenawaranCtr.verificationCorrection(), method:'POST'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'revisi_penawaran.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group required">
                        <label class="control-label">&{'alasan.label'}</label>
                        <input required name="alasan_revisi" class="form-control" />
                    </div>
					<input type="hidden" id="batas_akhir_revisi" name="batas_akhir_revisi" value="${revisionEndDate}" class="form-control" />
                    <input name="penawaran_id" value="${penawaran.id}" type="hidden" />
                    <input id="tanggal_batas_awal" value="${revisionEndDate}" type="hidden"/>
                </div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
            </div>
		#{/form}
        </div>
    </div>

</div>

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">

	$("input:checkbox").on("change", function(e){
		if($(this).prop("checked") == true){
			var valname = $(this).attr("name");
			$(this).parent().find(':input:text').attr('name', 'un'+valname);//nama variabel unverification
		}else if($(this).prop("checked") == false){
			$(this).parent().find(':input').attr('name', '');
		}
	});

    $(".reject").on("click", function (e) {
        $("#rejectModal").modal();
    });
    $(".correction").on("click", function (e) {
        $("#correctionModal").modal();
    });
    $("#cetak-bahe").on("click", function(e){
	    $("#formCetakBahe").modal();
	});
    $(document).ready(function () {
        var count = 0;
		$('#verification-form').submit(function (e) {
		    var checkbox = $('input[type=checkbox]');
			$.each(checkbox, function(i) {
			    // console.log("counting");
                if (this.checked) {
                    count++;
                }
            });
            // console.log(count);
            if (count === 0) {
                e.preventDefault();
                showToast("Periksa kembali data untuk diverifikasi!")
			}
            function showToast(message) {
                jQuery.toast({
                    heading: 'Oops',
                    text: message,
                    position: 'bottom-center',
                    stack: false,
                    icon: 'error',
                    hideAfter: 6000
                })
            }
		});
		var date = new Date($("#tanggal_batas_awal").val());
        $('.datepicker[name="batas_akhir_revisi"]').data("datepicker").setStartDate(date);
        //console.log(date);

    });
</script>
#{/set}